- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# CMpeg2DecFilter Class Reference

Inheritance diagram for CMpeg2DecFilter:

List of all members.

## Public Member Functions
| CMpeg2DecFilter (LPUNKNOWN lpunk, HRESULT *phr)
virtual | ~CMpeg2DecFilter ()
DECLARE_IUNKNOWN STDMETHODIMP | NonDelegatingQueryInterface (REFIID riid, void **ppv)
HRESULT | Deliver (bool fRepeatLast)
int | GetPinCount ()
CBasePin * | GetPin (int n)
HRESULT | EndOfStream ()
HRESULT | BeginFlush ()
HRESULT | EndFlush ()
HRESULT | NewSegment (REFERENCE_TIME tStart, REFERENCE_TIME tStop, double dRate)
HRESULT | CheckConnect (PIN_DIRECTION dir, IPin *pPin)
HRESULT | CheckInputType (const CMediaType *mtIn)
HRESULT | CheckTransform (const CMediaType *mtIn, const CMediaType *mtOut)
HRESULT | StartStreaming ()
HRESULT | StopStreaming ()
HRESULT | AlterQuality (Quality q)
STDMETHODIMP | SetDeinterlaceMethod (ditype di)
STDMETHODIMP | SetBrightness (double bright)
STDMETHODIMP | SetContrast (double cont)
STDMETHODIMP | SetHue (double hue)
STDMETHODIMP | SetSaturation (double sat)
STDMETHODIMP | EnableForcedSubtitles (bool fEnable)
STDMETHODIMP | EnablePlanarYUV (bool fEnable)
## Public Attributes
bool | m_fDropFrames
## Protected Member Functions
void | InputTypeChanged ()
HRESULT | Transform (IMediaSample *pIn)
void | ApplyBrContHueSat (BYTE *srcy, BYTE *srcu, BYTE *srcv, int w, int h, int pitch)
## Static Protected Member Functions
static void | CalcBrCont (BYTE *YTbl, double bright, double cont)
static void | CalcHueSat (BYTE *UTbl, BYTE *VTbl, double hue, double sat)
## Protected Attributes
CCritSec | m_csProps
ditype | m_di
double | m_bright
double | m_cont
double | m_hue
double | m_sat
BYTE | m_YTbl [256]
BYTE | m_UTbl [256 *256]
BYTE | m_VTbl [256 *256]
bool | m_fForcedSubs
bool | m_fPlanarYUV

## Detailed Description

Definition at line 36 of file Mpeg2DecFilter.h.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/transform/mpeg2decfilter/Mpeg2DecFilter.h
- C:/guliverkli/src/filters/transform/mpeg2decfilter/Mpeg2DecFilter.cpp